

/* -------------------------------------------------------------------------------------------*/
/* DP Grid Styles - New in 2026 -  Mostly used on check out pages*/
/* -------------------------------------------------------------------------------------------*/


.gridMain {
    display:grid; 
    background-color:var(--DPBKColorForms);
    width:100%;
    padding:3px;
    border-radius:6px;
    border:solid grey 2px;
    grid-template-Columns: repeat(3, auto); 

}
.gridMainHeader {
    color:var(--DPColorLtBlue);
    font-family:var(--DPFamily-Font);
    background-color:#var(--DPBKColorForms);
    font-weight: bold;
    grid-column: 1 /3;
    padding:0px;
    margin:0px;
    display: flex;
    align-items: center; /* Vertically centers the child element(s) */
    /* Optional: Use justify-content for horizontal centering */
    /*justify-content: center; */

}
.gridMainStatus{
    display: flex; /* this keeps the content all on the same line*/
    grid-column: 3;
    background-color: var(--DPBKColorForms);
    justify-self: right;
    margin-top: 3px;
}

.gridMainStatic, .gridMainForm {
    color:  var(--DPColorBlue);
    font-family:var(--DPFamily-Font);
    background-color: var(--DPBKColorForms);
    grid-column: 1 / 4;
}
 .gridMainStatic {
    margin-left:80px;
 }

.gridMainForm {
    display:none;
    margin-left:10px;
}


.gridSub
{
    display:grid;
    grid-template-Columns: 9em auto 13em; 
    <%-- border:solid grey 2px; --%>
    
}
.gridSubHeader
{
    color: var(--DPColorBlue);
    font-weight: normal;
    grid-column: 1;
    justify-self: right;
    margin-right:10px;
}
.gridSubInput
{ 
    grid-column: 2;
    margin-bottom:3px;
}

.gridSubInputCenter
{ 
    margin-top:8px;
    margin-bottom:8px;
    grid-column: 2;
    justify-self: center;
    
}


.gridSubError
{
    color:red;
    grid-column: 3;
    justify-self: left;
    margin-left:10px;
}

.gridSubError2Col
{
    color:red;
    grid-column: 2 3;
    justify-self: left;
    margin-left:10px;
}


.textBoxStyle{
    width:100%;
    color:navy;
}

.RequiredIcon{
    color: red;
    

}
.RequiredIcon::before{
    content: " *";
                   
}

.cbOptionInBox {
    accent-color: #2196F3;
}

